name: hyzp_ybqx
description: HeiYanZhuaPai_qx_name Flutter application .

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# 开发人员信息：
# 技术人员: 闵军
# By: ybmj@vip.163.com ,
# QQ: 153248043
# https://www.cnblogs.com/ybmj/

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.4.33+20220515

environment:
  sdk: ">=2.7.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter


  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.0

  # hyzp_ybqx00_yibin Project Adds
  fijkplayer: ^0.8.7
  path_provider: ^1.6.14
  permission_handler: ^5.0.1+1

  flutter_swiper: ^1.1.6
  flutter_screenutil: ^4.0.3+1
  dio: ^3.0.10
  shared_preferences: ^0.5.12+4
  provider: ^4.3.1
  event_bus: ^1.1.1
  fluttertoast: ^4.0.1
  city_pickers: ^0.1.22
  crypto: ^2.1.1

  camera: ^0.5.8+11
  audioplayers: ^0.16.2
  flutter_background_service: ^0.0.1+21
  android_power_manager: ^0.1.6

  encrypt: ^4.1.0
  device_info: ^1.0.0

  url_launcher: ^5.7.0
  get_it: ^5.0.1
  image_picker: ^0.6.7+22
  cached_network_image: ^2.4.1
  flutter_easyrefresh: ^2.1.8
  flustars: ^0.3.3
  keyboard_avoider: ^0.1.2
  scroll_to_index: ^1.0.6
  flutter_drag_scale:
    path: ./lib/my_flutter_drag_scale

  flutter_bmfmap:
    path: ./lib/my_flutter_bmfmap-1.0.2/
  flutter_bmfutils: ^1.0.2
  http: ^0.12.2

  fl_chart: ^0.12.3

  flutter_datetime_picker: ^1.5.0

  linked_scroll_controller: ^0.1.2

  flutterptcontrol:
    path: ./lib/my_flutterPtControl

  sprintf: ^5.0.0

  open_file: ^3.0.3             # 打开文件

  flutter_downloader: ^1.5.2    # 下载文件
  package_info: ^0.4.3+2        # 检测版本号
  progress_dialog: ^1.2.0       # 显示进度对话框
  
  app_installer: ^0.5.0          # Flutter 2.1，修复 Android 11 上允许权限后应用重启的问题，https://pub.dev/packages/app_installer
  
  badges: ^1.0.3                # App中的图标红点

  flutter_echarts: ^1.5.0
  flutter_superplayer:
    path: ./lib/my_flutter_superplayer

  # 二维码生成 https://pub.dev/packages/qr_flutter
  qr_flutter: ^3.2.0

  # Flutter 保存用户登录历史记录 ai_save_account
  ai_save_account: ^1.0.1

  # 添加水印插件
  disable_screenshots: ^0.1.0

dev_dependencies:
  flutter_test:
    sdk: flutter

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  assets:
    - assets/files_icons/
    - assets/fun_icons/
    - assets/images/
    - assets/audio/

  fonts:
    - family: myfont
      fonts:
        - asset: assets/font/iconfont.ttf

